org.apache.struts2.tiles

## Class StrutsWildcardServletApplicationContext

- java.lang.Object
- - org.apache.tiles.request.servlet.ServletApplicationContext
  - - org.apache.struts2.tiles.StrutsWildcardServletApplicationContext

- All Implemented Interfaces:
    org.apache.tiles.request.ApplicationContext

      public class StrutsWildcardServletApplicationContext
      extends org.apache.tiles.request.servlet.ServletApplicationContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsWildcardServletApplicationContext(javax.servlet.ServletContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Set<org.apache.tiles.request.ApplicationResource>` | `findResources(String path)`
    `org.apache.tiles.request.ApplicationResource` | `getResource(org.apache.tiles.request.ApplicationResource base, Locale locale)`
    `Collection<org.apache.tiles.request.ApplicationResource>` | `getResources(String path)`

    - ### Methods inherited from class org.apache.tiles.request.servlet.ServletApplicationContext

      `getApplicationScope, getContext, getInitParams, getResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsWildcardServletApplicationContext

          public StrutsWildcardServletApplicationContext(javax.servlet.ServletContext context)

  - ### Method Detail

    - #### getResources

          public Collection<org.apache.tiles.request.ApplicationResource> getResources(String path)

      Specified by:
        `getResources` in interface `org.apache.tiles.request.ApplicationContext`
      Overrides:
        `getResources` in class `org.apache.tiles.request.servlet.ServletApplicationContext`

    - #### getResource

          public org.apache.tiles.request.ApplicationResource getResource(org.apache.tiles.request.ApplicationResource base,
                                                                          Locale locale)

      Specified by:
        `getResource` in interface `org.apache.tiles.request.ApplicationContext`
      Overrides:
        `getResource` in class `org.apache.tiles.request.servlet.ServletApplicationContext`

    - #### findResources

          protected Set<org.apache.tiles.request.ApplicationResource> findResources(String path)
                                                                             throws IOException

      Throws:
        `IOException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.